| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
tiffconf.h File Reference

Go to the source code of this file.

## Macros
#define | SIZEOF_INT 4
#define | SIZEOF_LONG 4
#define | HAVE_IEEEFP 1
#define | HOST_FILLORDER FILLORDER_LSB2MSB
#define | HOST_BIGENDIAN 0
#define | CCITT_SUPPORT 1
#define | LOGLUV_SUPPORT 1
#define | LZW_SUPPORT 1
#define | NEXT_SUPPORT 1
#define | PACKBITS_SUPPORT 1
#define | PIXARLOG_SUPPORT 1
#define | THUNDER_SUPPORT 1
#define | ZIP_SUPPORT 1
#define | STRIPCHOP_DEFAULT TIFF_STRIPCHOP
#define | SUBIFD_SUPPORT 1
#define | DEFAULT_EXTRASAMPLE_AS_ALPHA 1
#define | CHECK_JPEG_YCBCR_SUBSAMPLING 1
#define | MDI_SUPPORT 1
#define | COLORIMETRY_SUPPORT
#define | YCBCR_SUPPORT
#define | CMYK_SUPPORT
#define | ICC_SUPPORT
#define | PHOTOSHOP_SUPPORT
#define | IPTC_SUPPORT

## Macro Definition Documentation

#define CCITT_SUPPORT 1

Definition at line 40 of file tiffconf.h.

#define CHECK_JPEG_YCBCR_SUBSAMPLING 1

Definition at line 87 of file tiffconf.h.

#define CMYK_SUPPORT

Definition at line 99 of file tiffconf.h.

#define COLORIMETRY_SUPPORT

Definition at line 97 of file tiffconf.h.

#define DEFAULT_EXTRASAMPLE_AS_ALPHA 1

Definition at line 83 of file tiffconf.h.

#define HAVE_IEEEFP 1

Definition at line 30 of file tiffconf.h.

#define HOST_BIGENDIAN 0

Definition at line 37 of file tiffconf.h.

#define HOST_FILLORDER FILLORDER_LSB2MSB

Definition at line 33 of file tiffconf.h.

#define ICC_SUPPORT

Definition at line 100 of file tiffconf.h.

#define IPTC_SUPPORT

Definition at line 102 of file tiffconf.h.

#define LOGLUV_SUPPORT 1

Definition at line 49 of file tiffconf.h.

#define LZW_SUPPORT 1

Definition at line 52 of file tiffconf.h.

#define MDI_SUPPORT 1

Definition at line 90 of file tiffconf.h.

#define NEXT_SUPPORT 1

Definition at line 55 of file tiffconf.h.

#define PACKBITS_SUPPORT 1

Definition at line 62 of file tiffconf.h.

#define PHOTOSHOP_SUPPORT

Definition at line 101 of file tiffconf.h.

#define PIXARLOG_SUPPORT 1

Definition at line 65 of file tiffconf.h.

#define SIZEOF_INT 4

Definition at line 21 of file tiffconf.h.

#define SIZEOF_LONG 4

Definition at line 24 of file tiffconf.h.

#define STRIPCHOP_DEFAULT TIFF_STRIPCHOP

Definition at line 75 of file tiffconf.h.

#define SUBIFD_SUPPORT 1

Definition at line 78 of file tiffconf.h.

#define THUNDER_SUPPORT 1

Definition at line 68 of file tiffconf.h.

#define YCBCR_SUPPORT

Definition at line 98 of file tiffconf.h.

#define ZIP_SUPPORT 1

Definition at line 71 of file tiffconf.h.